Intellij 出现“Usage of API documented as @since 1.4+”的解决办法

转载 2018年04月16日 10:51:44
重新安装好IntelliJ  IDEA后导入项目时出现了“Usage of API documented as @since 1.4+”问题,错误详情如下图所示:

在Java项目中必不可少的是要指定jdk。

在指定jdk的同时,还可以指定jdk的Language level,这个有点像我们工程最低支持版本。比如Language level 设置了5.0 只是就不能出现使用6.0/7.0特性的代码。
因为这些特性在5.0的环境下是无法编译的。

或者可以理解ide会安装Language level指定的jdk版本来对我们的代码进行编译,以及错误检查。

解决办法:

File->Project Settings->Project->Project language level,设置成默认“SDK default(……)”即可;

对于模块的设置方法:File->Project Settings->Modules->Sources-> language level,设置成默认“SDK default(……)”即可.

转载自https://blog.csdn.net/wust_lh/article/details/73277185

intellij 出现“Usage of API documented as @since 1.8+”的解决办法

intellij 出现“Usage of API documented as @since 1.6+”的解决办法 Usage of API documented as @si...
  • dufufd
  • dufufd
  • 2017-05-31 10:08:02
  • 2372

Intellij IDEA 出现“Usage of API documented as @since 1.6+”的解决办法

具体报错内容如下: This inspection finds all usages of methods that have @since tag in their documentation.  ...
  • qq_27093465
  • qq_27093465
  • 2017-04-06 09:24:20
  • 9591

“Usage of API documented as @since 1.8+”报错的解决办法

“Usage of API documented as @since 1.8+”报错的解决办法
  • a499477783
  • a499477783
  • 2018-01-04 09:45:34
  • 148

intellij 出现“Usage of API documented as @since 1.6+”的解决办法

Usage of API documented as @since 1.6+ This inspection finds all usages of methods that have @since ...
  • xiao_xuwen
  • xiao_xuwen
  • 2016-10-25 15:21:47
  • 2551

“Usage of API documented as @since 1.6+……”的解决办法

在使用Java脚本语言javax.script包时,项目报错,报错内容如下:Usage of API documented as @since 1.6+ This inspection finds a...
  • jdjdndhj
  • jdjdndhj
  • 2017-04-20 11:42:49
  • 2807

Usage of API documented as @since 1.7+ more... (Ctrl+F1

File ->Project Structure->Project Settings -> Modules -> (需要修改的工程名称) -> Sources -> Language Level->选...
  • qq_26684469
  • qq_26684469
  • 2017-12-03 02:22:34
  • 569

maven + Usage of API documented as @since 1.7+

Usage  of  API  documented   as   @since   1.7+ 的报错:     1. IDEA :                 例如:forEach(s ->...
  • qq_36971799
  • qq_36971799
  • 2017-07-03 15:50:04
  • 147

Intellij Error:usage of api documented as @since 1.6+Error:java: Compilation failed: internal java c

1、error 1:Intellij Error:usage of api documented as @since 1.6+ 错误场景: 开发工具:Intellij 在使用最新的Java8库的...
  • u013174217
  • u013174217
  • 2016-12-14 17:44:01
  • 3924

intellij idea 出现“Usage of API documented as @since 1.8+”的解决办法

jdk1.8之后,可以获取方法的参数名,用到了以下:import java.lang.reflect.Parameter; 但是idea报这个错:“Usage of API documented ...
  • qq_34169240
  • qq_34169240
  • 2017-12-18 11:44:18
  • 80

IDEA Usage of API documented as @since 1.6+ 语法错误解决方案

转载地址:http://www.cnblogs.com/cxj20160928/p/5954196.html intellij 出现“Usage of API documented ...
  • danchaofan0534
  • danchaofan0534
  • 2017-07-16 19:35:31
  • 326
收藏助手
不良信息举报
您举报文章:Intellij 出现“Usage of API documented as @since 1.4+”的解决办法
举报原因:
原因补充:

(最多只允许输入30个字)